ubuntu-location-service: com::ubuntu::location::service::Skeleton Class Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Classes | Public Types | Public Member Functions | Protected Member Functions | List of all members
com::ubuntu::location::service::Skeleton Class Reference

`#include <skeleton.h>`

Inheritance diagram for com::ubuntu::location::service::Skeleton:
Collaboration diagram for com::ubuntu::location::service::Skeleton:

## Classes
struct | Configuration
struct | CredentialsResolver
struct | DBusDaemonCredentialsResolver
struct | ObjectPathGenerator

## Public Types
typedef std::shared_ptr< Skeleton > | Ptr

## Public Member Functions
| Skeleton (const Configuration &configuration)
| ~Skeleton () noexcept
const core::Property< State > & | state () const
core::Property< bool > & | does_satellite_based_positioning ()
core::Property< bool > & | does_report_cell_and_wifi_ids ()
core::Property< bool > & | is_online ()
core::Property< std::map< SpaceVehicle::Key, SpaceVehicle > > & | visible_space_vehicles ()

## Protected Member Functions
core::Property< State > & | mutable_state ()

## Detailed Description

Definition at line 41 of file skeleton.h.

## Member Typedef Documentation

## ◆ Ptr

typedef std::shared_ptr<Skeleton> com::ubuntu::location::service::Skeleton::Ptr

Definition at line 46 of file skeleton.h.

## Constructor & Destructor Documentation

## ◆ Skeleton()

com::ubuntu::location::service::Skeleton::Skeleton | ( | const Configuration & | configuration | ) |

## ◆ ~Skeleton()

com::ubuntu::location::service::Skeleton::~Skeleton | ( |  | ) |
| noexcept

## Member Function Documentation

## ◆ does_report_cell_and_wifi_ids()

core::Property<bool>& com::ubuntu::location::service::Skeleton::does_report_cell_and_wifi_ids | ( |  | ) |

## ◆ does_satellite_based_positioning()

core::Property<bool>& com::ubuntu::location::service::Skeleton::does_satellite_based_positioning | ( |  | ) |

## ◆ is_online()

core::Property<bool>& com::ubuntu::location::service::Skeleton::is_online | ( |  | ) |

## ◆ mutable_state()

core::Property<State>& com::ubuntu::location::service::Skeleton::mutable_state | ( |  | ) |
| protected

## ◆ state()

const core::Property<State>& com::ubuntu::location::service::Skeleton::state | ( |  | ) | const

## ◆ visible_space_vehicles()

core::Property<std::map<SpaceVehicle::Key, SpaceVehicle> >& com::ubuntu::location::service::Skeleton::visible_space_vehicles | ( |  | ) |

## Member Data Documentation

## ◆ does_report_cell_and_wifi_ids [1/2]

std::shared_ptr< core::dbus::Property<Interface::Properties::DoesReportCellAndWifiIds> > com::ubuntu::location::service::Skeleton::does_report_cell_and_wifi_ids

Definition at line 165 of file skeleton.h.

## ◆ does_report_cell_and_wifi_ids [2/2]

core::ScopedConnection com::ubuntu::location::service::Skeleton::does_report_cell_and_wifi_ids

Definition at line 174 of file skeleton.h.

## ◆ does_satellite_based_positioning [1/2]

std::shared_ptr< core::dbus::Property<Interface::Properties::DoesSatelliteBasedPositioning> > com::ubuntu::location::service::Skeleton::does_satellite_based_positioning

Definition at line 164 of file skeleton.h.

## ◆ does_satellite_based_positioning [2/2]

core::ScopedConnection com::ubuntu::location::service::Skeleton::does_satellite_based_positioning

Definition at line 173 of file skeleton.h.

## ◆ is_online [1/2]

std::shared_ptr< core::dbus::Property<Interface::Properties::IsOnline> > com::ubuntu::location::service::Skeleton::is_online

Definition at line 166 of file skeleton.h.

## ◆ is_online [2/2]

core::ScopedConnection com::ubuntu::location::service::Skeleton::is_online

Definition at line 175 of file skeleton.h.

## ◆ state [1/2]

std::shared_ptr< core::dbus::Property<Interface::Properties::State> > com::ubuntu::location::service::Skeleton::state

Definition at line 163 of file skeleton.h.

## ◆ state [2/2]

core::ScopedConnection com::ubuntu::location::service::Skeleton::state

Definition at line 172 of file skeleton.h.

## ◆ visible_space_vehicles

std::shared_ptr< core::dbus::Property<Interface::Properties::VisibleSpaceVehicles> > com::ubuntu::location::service::Skeleton::visible_space_vehicles

Definition at line 167 of file skeleton.h.

The documentation for this class was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/service/skeleton.h